Subject: Re: bug#74339: 30.0.92; CC Mode stomps C TS Mode

From: Stefan Monnier <[email-masked]>
Date: Fri, 15 Nov 2024 11:12:46 -0500

> This will cause Emacs to visit C files without the cookie in c-mode.
> What I meant was an (admittedly somewhat strange) preference to visit
> C files without a cookie in c-ts-mode, but files that have a cookie in
> the mode called out by the cookie.  AFAIU, major-mode-remap-*
> variables cannot handle this distinction, at least not currently.

No, indeed, they don't help with that.  They don't prevent it either, tho:
Users can still get that kind of behavior with the "old methods" such as
by changing `auto-mode-alist` to map `.c` files to `c-ts-mode`.

        Stefan